// Worcester Polytechnic Institute - Computer Science Department
// IMGD-3100: Novel Interfaces for Interactive Environments
// Prof. Robert W. Lindeman
// Sample Arduino code for project 2.
// Code to receive and send data through the serial 
// port using Arduino.
// Whenever it receives a message through the COM port, it
// sends a default reply.

#region Using directives
// Includes library for serial port communication.
using System.IO.Ports;
#endregion

// Hello1.cs
public class Hello1  {
  public static void Main( )  {
    // Creates a SerialPort object. The port here used should match
    // the one Arduino is identified with in the Arduino application.
    SerialPort sp = new SerialPort( "COM6", 9600, Parity.None, 8, StopBits.One );
    // Opens the selected serial port.
    sp.Open( );
    // Sets the serial port read time out to 500 ms.
    sp.ReadTimeout = 500;
    // Writes to the serial port.
    sp.WriteLine( "Hello!" );
    // Reads data sent from Arduino through the serial port 
    // and displays the data in the console line.
    string tempS = sp.ReadLine( );
    System.Console.WriteLine( tempS );
    // Closes serial port.
    sp.Close( );
  }
}